Bug 176318 - Module string does not exists in /lib/iptables
Module string does not exists in /lib/iptables
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 06:54 EST by Volnei
Modified: 2008-01-06 16:27 EST (History)
2 users (show)

See Also:
Fixed In Version: iptables-1.3.8-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 16:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volnei 2005-12-21 06:54:03 EST
Description of problem:

I'm trying use the iptable's ipt_string module, but thereis a problem:
The kernel module ipt_string.ko existis into kernel. But the 
/lib/iptables/libipt_string.so does not exists.


Version-Release number of selected component (if applicable):
FC4
kernel-2.6.14-1.1653_FC4
iptables-1.3.0-2


How reproducible:

Try use a iptables strind module for example:
iptables -A INPUT -p tcp -m string --string -j LOG --log-prefix "FW:INPUT [.exe] "

Steps to Reproduce:
1.
2.
3.
  
Actual results:

iptables v1.3.0: Couldn't load match `string':/lib/iptables/libipt_string.so:
cannot open shared object file: No such file or directory
Expected results:


Additional info:
Comment 1 Pedro Fernandes Macedo 2006-07-07 10:27:57 EDT
Same problem on FC5 with all packages updated:

[root@joselilaviola ~]# iptables -m string --help
iptables v1.3.5: Couldn't load match `string':/lib/iptables/libipt_string.so:
cannot open shared object file: No such file or directory

Try `iptables -h' or 'iptables --help' for more information.
[root@joselilaviola ~]# ls /lib/iptables/*string*
ls: /lib/iptables/*string*: No such file or directory
[root@joselilaviola ~]# rpm -qa |grep kernel
kernel-smp-2.6.17-1.2145_FC5
[root@joselilaviola ~]# rpm -qa |grep iptables
iptables-1.3.5-1.2
[root@joselilaviola ~]#

The string module is disabled in the Makefile on the extensions directory,
probably because the compilation fails because of the absence of libipt_string.h
from the includes directory. This file is missing on the upstream tarball as well.
Comment 2 Thomas Woerner 2006-07-07 10:37:06 EDT
The header ipt_string.h has to be added for this. Assigning to glibc-kernheaders
for now.

If it is fixed there, please reassign to iptables. A rebuild of the package will
do it then.
Comment 3 Christian Iseli 2007-01-19 19:16:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Pedro Fernandes Macedo 2007-01-20 13:37:16 EST
Just checked in FC6 (fully updated) and the string module exists and is working
fine according to my tests. If the OP agrees, I believe this could be closed.
Comment 5 Till Maas 2008-01-06 16:27:03 EST
Fixed in Fedora 7 (and FC6 according to comment 4)

Note You need to log in before you can comment on or make changes to this bug.